
Infrastructure - Task #6402

Story # 6476 (Closed): Fix the bug on CN.delete and MN.delete

Can't delete the system metadata for data files in cn

2014-09-19 17:39 - Jing Tao

Status: Closed Start date: 2014-09-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-1.5.0   

Milestone: None Story Points:  

Product Version: *   

Description

The system metadata for data files in cn can't be removed by calling CN.delete(guid). But the member works fine.

The reason is that cn doesn't harvest data file and there is no record on either xml_documents or xml_revisions. The delete method

will check the records in the  two tables.

History

#1 - 2014-09-19 22:19 - Jing Tao

- Assignee set to Jing Tao

#2 - 2014-10-11 03:21 - Jing Tao

- Target version set to CCI-1.5.0

#3 - 2014-10-11 03:21 - Jing Tao

- Parent task set to #6476

- Target version set to CCI-1.5.0

#4 - 2014-10-16 18:35 - Jing Tao

Need test it.

#5 - 2014-10-28 21:37 - Jing Tao

- Status changed from New to In Progress

#6 - 2014-11-13 18:39 - Jing Tao

- Status changed from In Progress to Testing

#7 - 2014-11-16 06:07 - Jing Tao

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Tested it in sandbox and it worked.

#8 - 2014-11-16 06:14 - Jing Tao

- Estimated time set to 0.00
